Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge
Interface SWRLRuleEngineBridge

All Superinterfaces:
  SQWRLQueryEngine, SWRLRuleEngine

All Known Implementing Classes:
  AbstractSWRLRuleEngineBridge

    public interface SWRLRuleEngineBridge

extends SWRLRuleEngine, SQWRLQueryEngine

The SWRL Rule Engine Bridge provides a mechanism to incorporate rule engines into Protege-OWL to execute SWRL rules.

Detailed documentation for this mechanism can be found here.

Method Summary
`OWLClass` | `createOWLAnonymousClass()`
`void` | `createOWLAxiom(OWLAxiom axiom)`
`void` | `createOWLClass(String className)`
`void` | `createOWLClass(String className, String superclassName)`
`OWLDatatypePropertyAssertionAxiom` | `createOWLDatatypePropertyAssertionAxiom(OWLDatatypePropertyAssertionAxiom axiom)`
`OWLDatatypePropertyAssertionAxiom` | `createOWLDatatypePropertyAssertionAxiom(OWLIndividual subject, OWLProperty property, OWLDatatypeValue object)`
`void` | `createOWLDatatypePropertyAssertionAxioms(Set<OWLDatatypePropertyAssertionAxiom> axioms)`
`OWLIndividual` | `createOWLIndividual()`
`OWLIndividual` | `createOWLIndividual(OWLClass owlClass)`
`void` | `createOWLIndividual(OWLIndividual owlIndividual)`
`void` | `createOWLIndividuals(Set<OWLIndividual> individuals)`
`OWLObjectPropertyAssertionAxiom` | `createOWLObjectPropertyAssertionAxiom(OWLIndividual subject, OWLProperty property, OWLIndividual object)`
`OWLObjectPropertyAssertionAxiom` | `createOWLObjectPropertyAssertionAxiom(OWLObjectPropertyAssertionAxiom axiom)`
`void` | `createOWLObjectPropertyAssertionAxioms(Set<OWLObjectPropertyAssertionAxiom> axioms)`
`void` | `createOWLRestriction(OWLRestriction restriction)`
`void` | `defineAxiom(OWLAxiom axiom)`
`void` | `defineClass(OWLClass owlClass)`
`void` | `defineIndividual(OWLIndividual owlIndividual)`
`void` | `defineRestriction(OWLRestriction restriction)`
`void` | `defineRule(SWRLRule rule)`
`void` | `generateBuiltInBinding(String ruleName, String builtInName, int builtInIndex, List<BuiltInArgument> arguments)`
`Set<OWLAxiom>` | `getCreatedAxioms()`
`Set<OWLClass>` | `getCreatedClasses()`
`Set<OWLIndividual>` | `getCreatedIndividuals()`
`Set<OWLRestriction>` | `getCreatedRestrictions()`
`Set<OWLAxiom>` | `getImportedAxioms()`
`Set<OWLClass>` | `getImportedClasses()`
`Set<OWLIndividual>` | `getImportedIndividuals()`
`Set<SWRLRule>` | `getImportedSWRLRules()`
`Set<OWLAxiom>` | `getInferredAxioms()`
`Set<OWLIndividual>` | `getInferredIndividuals()`
`Mapper` | `getMapper()`
`int` | `getNumberOfCreatedAxioms()`
`int` | `getNumberOfCreatedClasses()`
`int` | `getNumberOfCreatedIndividuals()`
`int` | `getNumberOfCreatedRestrictions()`
`int` | `getNumberOfImportedAxioms()`
`int` | `getNumberOfImportedClasses()`
`int` | `getNumberOfImportedIndividuals()`
`int` | `getNumberOfImportedSWRLRules()`
`int` | `getNumberOfInferredAxioms()`
`int` | `getNumberOfInferredIndividuals()`
`OWLModel` | `getOWLModel()`
`boolean` | `hasMapper()`
`void` | `inferIndividual(OWLIndividual owlIndividual)`
`void` | `inferPropertyAssertionAxiom(OWLPropertyAssertionAxiom owlPropertyAssertionAxiom)`
`boolean` | `invokeSWRLBuiltIn(String ruleName, String builtInName, int builtInIndex, boolean isInConsequent, List<BuiltInArgument> arguments)`
`boolean` | `isClass(String className)`
`boolean` | `isCreatedAnonymousClass(String className)`
`boolean` | `isCreatedAxiom(OWLAxiom axiom)`
`boolean` | `isCreatedClass(String className)`
`boolean` | `isCreatedIndividual(String individualName)`
`void` | `resetRuleEngine()`
`void` | `runRuleEngine()`
`void` | `setMapper(Mapper mapper)`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.SWRLRuleEngine
`getRule, importSWRLRulesAndOWLKnowledge, importSWRLRulesAndOWLKnowledge, importSWRLRulesAndOWLKnowledge, infer, infer, infer, reset, run, writeInferredKnowledge2OWL`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.sqwrl.SQWRLQueryEngine
`getSQWRLResult, runSQWRLQueries`

Method Detail

### resetRuleEngine

    void resetRuleEngine()
                         throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### runRuleEngine

    void runRuleEngine()
                       throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### defineRule

    void defineRule(SWRLRule rule)
                    throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### defineClass

    void defineClass(OWLClass owlClass)
                     throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### defineIndividual

    void defineIndividual(OWLIndividual owlIndividual)
                          throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### defineAxiom

    void defineAxiom(OWLAxiom axiom)
                     throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### defineRestriction

    void defineRestriction(OWLRestriction restriction)
                           throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### inferPropertyAssertionAxiom

    void inferPropertyAssertionAxiom(OWLPropertyAssertionAxiom owlPropertyAssertionAxiom)
                                     throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### inferIndividual

    void inferIndividual(OWLIndividual owlIndividual)
                         throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### createOWLAnonymousClass

    OWLClass createOWLAnonymousClass()
                                     throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### createOWLClass

    void createOWLClass(String className)
                        throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### createOWLClass

    void createOWLClass(String className,
                        String superclassName)
                        throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### createOWLIndividual

    OWLIndividual createOWLIndividual()
                                      throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### createOWLIndividual

    void createOWLIndividual(OWLIndividual owlIndividual)
                             throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### createOWLIndividual

    OWLIndividual createOWLIndividual(OWLClass owlClass)
                                      throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### createOWLIndividuals

    void createOWLIndividuals(Set<OWLIndividual> individuals)
                              throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### createOWLAxiom

    void createOWLAxiom(OWLAxiom axiom)
                        throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### createOWLRestriction

    void createOWLRestriction(OWLRestriction restriction)
                              throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### createOWLDatatypePropertyAssertionAxiom

    OWLDatatypePropertyAssertionAxiom createOWLDatatypePropertyAssertionAxiom(OWLIndividual subject,
                                                                              OWLProperty property,
                                                                              OWLDatatypeValue object)
                                                                              throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### createOWLDatatypePropertyAssertionAxiom

    OWLDatatypePropertyAssertionAxiom createOWLDatatypePropertyAssertionAxiom(OWLDatatypePropertyAssertionAxiom axiom)
                                                                              throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### createOWLDatatypePropertyAssertionAxioms

    void createOWLDatatypePropertyAssertionAxioms(Set<OWLDatatypePropertyAssertionAxiom> axioms)
                                                  throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### createOWLObjectPropertyAssertionAxiom

    OWLObjectPropertyAssertionAxiom createOWLObjectPropertyAssertionAxiom(OWLIndividual subject,
                                                                          OWLProperty property,
                                                                          OWLIndividual object)
                                                                          throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### createOWLObjectPropertyAssertionAxiom

    OWLObjectPropertyAssertionAxiom createOWLObjectPropertyAssertionAxiom(OWLObjectPropertyAssertionAxiom axiom)
                                                                          throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### createOWLObjectPropertyAssertionAxioms

    void createOWLObjectPropertyAssertionAxioms(Set<OWLObjectPropertyAssertionAxiom> axioms)
                                                throws SWRLRuleEngineBridgeException

  Throws:
    `SWRLRuleEngineBridgeException`

### isClass

    boolean isClass(String className)

### isCreatedAnonymousClass

    boolean isCreatedAnonymousClass(String className)

### isCreatedClass

    boolean isCreatedClass(String className)

### isCreatedIndividual

    boolean isCreatedIndividual(String individualName)

### isCreatedAxiom

    boolean isCreatedAxiom(OWLAxiom axiom)

### invokeSWRLBuiltIn

    boolean invokeSWRLBuiltIn(String ruleName,
                              String builtInName,
                              int builtInIndex,
                              boolean isInConsequent,
                              List<BuiltInArgument> arguments)
                              throws BuiltInException

  Throws:
    `BuiltInException`

### generateBuiltInBinding

    void generateBuiltInBinding(String ruleName,
                                String builtInName,
                                int builtInIndex,
                                List<BuiltInArgument> arguments)
                                throws BuiltInException

  Throws:
    `BuiltInException`

### setMapper

    void setMapper(Mapper mapper)

### hasMapper

    boolean hasMapper()

### getMapper

    Mapper getMapper()

### getOWLModel

    OWLModel getOWLModel()

### getNumberOfImportedSWRLRules

    int getNumberOfImportedSWRLRules()

### getNumberOfImportedClasses

    int getNumberOfImportedClasses()

### getNumberOfImportedIndividuals

    int getNumberOfImportedIndividuals()

### getNumberOfImportedAxioms

    int getNumberOfImportedAxioms()

### getNumberOfInferredIndividuals

    int getNumberOfInferredIndividuals()

  Specified by:
    `getNumberOfInferredIndividuals` in interface `SWRLRuleEngine`

### getNumberOfInferredAxioms

    int getNumberOfInferredAxioms()

  Specified by:
    `getNumberOfInferredAxioms` in interface `SWRLRuleEngine`

### getNumberOfCreatedClasses

    int getNumberOfCreatedClasses()

### getNumberOfCreatedIndividuals

    int getNumberOfCreatedIndividuals()

### getNumberOfCreatedAxioms

    int getNumberOfCreatedAxioms()

### getNumberOfCreatedRestrictions

    int getNumberOfCreatedRestrictions()

### getImportedSWRLRules

    Set<SWRLRule> getImportedSWRLRules()

### getImportedClasses

    Set<OWLClass> getImportedClasses()

### getImportedIndividuals

    Set<OWLIndividual> getImportedIndividuals()

### getImportedAxioms

    Set<OWLAxiom> getImportedAxioms()

### getInferredIndividuals

    Set<OWLIndividual> getInferredIndividuals()

  Specified by:
    `getInferredIndividuals` in interface `SWRLRuleEngine`

### getInferredAxioms

    Set<OWLAxiom> getInferredAxioms()

  Specified by:
    `getInferredAxioms` in interface `SWRLRuleEngine`

### getCreatedClasses

    Set<OWLClass> getCreatedClasses()

### getCreatedIndividuals

    Set<OWLIndividual> getCreatedIndividuals()

### getCreatedAxioms

    Set<OWLAxiom> getCreatedAxioms()

### getCreatedRestrictions

    Set<OWLRestriction> getCreatedRestrictions()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.